commit:     13cdf399cd7bd76cf599a54899d0dbebb87325ba
Author:     Brahmajit Das <brahmajit.xyz <AT> gmail <DOT> com>
AuthorDate: Sun Sep 17 06:02:47 2023 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Tue Sep 19 20:10:34 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13cdf399

net-misc/wget2: add 2.1.0

Closes: https://bugs.gentoo.org/913698
Signed-off-by: Brahmajit Das <brahmajit.xyz <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/32870
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 net-misc/wget2/Manifest           |  1 +
 net-misc/wget2/wget2-2.1.0.ebuild | 91 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/net-misc/wget2/Manifest b/net-misc/wget2/Manifest
index 82c41cc6f5d0..4a20781ad84d 100644
--- a/net-misc/wget2/Manifest
+++ b/net-misc/wget2/Manifest
@@ -1 +1,2 @@
 DIST wget2-2.0.1.tar.gz 3780748 BLAKE2B 
cc28c58ab59c28540259545d60b19d6c513725e856fce02690e40ab0818d213bd656de704bd6310650af7190d7d3265fee859eebab326ad441f7351213fce6d3
 SHA512 
7a4afebf87ecda9e7e2d1fb2861c220875a96bab7c7ead6397c7ac11b6effae80d80f71b57a58d6b91a6c849b9a9fd974ce620d3050f677dd0fc4bc05358b27e
+DIST wget2-2.1.0.tar.gz 3867884 BLAKE2B 
4bde0b8d8d703f863db10dccdcafe9c93923a6861b973607f7ec2c06fa68921561b41eb049e59ccab4f0abafe5017e15d4131d684ad47b4fa4f6ac38c8772ed2
 SHA512 
ae1fc267b1c2ee182ee59f0fc34fef238326a20f1ea1c15be6db2c16b70d49e89f61ca937d3e64d214f73ef9646ba4318782ac4210db51bd3d89c55ce4406872

diff --git a/net-misc/wget2/wget2-2.1.0.ebuild 
b/net-misc/wget2/wget2-2.1.0.ebuild
new file mode 100644
index 000000000000..7867d2e36470
--- /dev/null
+++ b/net-misc/wget2/wget2-2.1.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="GNU Wget2 is a file and recursive website downloader"
+HOMEPAGE="https://gitlab.com/gnuwget/wget2";
+SRC_URI="mirror://gnu/wget/${P}.tar.gz"
+
+# LGPL for libwget
+LICENSE="GPL-3+ LGPL-3+"
+SLOT="0/0" # subslot = libwget.so version
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="brotli bzip2 doc +gnutls gpgme +http2 idn lzip lzma openssl pcre psl 
+ssl test xattr zlib"
+
+RDEPEND="
+       brotli? ( app-arch/brotli )
+       bzip2? ( app-arch/bzip2 )
+       !gnutls? ( dev-libs/libgcrypt:= )
+       ssl? (
+               gnutls? ( net-libs/gnutls:= )
+               !gnutls? (
+                       dev-libs/openssl:0=
+               )
+       )
+       gpgme? (
+               app-crypt/gpgme:=
+               dev-libs/libassuan
+               dev-libs/libgpg-error
+       )
+       http2? ( net-libs/nghttp2 )
+       idn? ( net-dns/libidn2:= )
+       lzip? ( app-arch/lzlib )
+       lzma? ( app-arch/xz-utils )
+       pcre? ( dev-libs/libpcre2 )
+       psl? ( net-libs/libpsl )
+       xattr? ( sys-apps/attr )
+       zlib? ( sys-libs/zlib )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       doc? ( app-doc/doxygen[dot] )
+"
+
+RESTRICT="!test? ( test )"
+
+src_configure() {
+       local myeconfargs=(
+               --disable-static
+               --disable-valgrind-tests
+               --with-plugin-support
+               --with-ssl="$(usex ssl $(usex gnutls gnutls openssl) none)"
+               --without-libidn
+               --without-libmicrohttpd
+               $(use_enable doc)
+               $(use_enable xattr)
+               $(use_with brotli brotlidec)
+               $(use_with bzip2)
+               $(use_with gpgme)
+               $(use_with http2 libnghttp2)
+               $(use_with idn libidn2)
+               $(use_with lzip)
+               $(use_with lzma)
+               $(use_with pcre libpcre2)
+               $(use_with psl libpsl)
+               $(use_with zlib)
+
+               # Avoid calling ldconfig
+               LDCONFIG=:
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       if [[ ${PV} == *9999 ]] ; then
+               if use doc ; then
+                       local mpage
+                       for mpage in $(find docs/man -type f -regextype grep 
-regex ".*\.[[:digit:]]$") ; do
+                               doman ${mpage}
+                       done
+               fi
+       else
+               doman docs/man/man{1/*.1,3/*.3}
+       fi
+
+       find "${D}" -type f -name '*.la' -delete || die
+       rm "${ED}"/usr/bin/${PN}_noinstall || die
+}

Reply via email to